# Class ErrorMode.Extent

java.lang.Object
uk.ac.starlink.ttools.plot.ErrorMode.Extent

Enclosing class:
  `ErrorMode`

public static class ErrorMode.Extent extends Object
Enumeration class which lists the distance quantities used by different error modes. Each error mode will have zero or more of these, corresponding to scalar values constituting the described error.

Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns a name suitable for labelling a control for this extent.
`String`
`getName()`
Returns the name of this extent.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns the name of this extent.

Returns:
  extent name

### getLabel

public String getLabel()
Returns a name suitable for labelling a control for this extent.

Returns:
  extent control label